com.gisgraphy.importer.dto

## Class InterpolationMember

- java.lang.Object
- - com.gisgraphy.importer.dto.InterpolationMember

- All Implemented Interfaces:
    Comparable<InterpolationMember>

      public class InterpolationMember
      extends Object
      implements Comparable<InterpolationMember>

  Represents a house number with an associated street in the Karlsruhe schema.
  Author:
    David Masclet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterpolationMember()`
    `InterpolationMember(String id, int sequenceId, com.vividsolutions.jts.geom.Point location, String houseNumber, String streetname)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(InterpolationMember o)`
    `boolean` | `equals(Object obj)`
    `String` | `getHouseNumber()`
    `String` | `getId()`
    `com.vividsolutions.jts.geom.Point` | `getLocation()`
    `int` | `getSequenceId()`
    `String` | `getStreetname()`
    `int` | `hashCode()`
    `void` | `setHouseNumber(String houseNumber)`
    `void` | `setId(String id)`
    `void` | `setLocation(com.vividsolutions.jts.geom.Point location)`
    `void` | `setSequenceId(int sequenceId)`
    `void` | `setStreetname(String streetname)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InterpolationMember

          public InterpolationMember(String id,
                             int sequenceId,
                             com.vividsolutions.jts.geom.Point location,
                             String houseNumber,
                             String streetname)

    - #### InterpolationMember

          public InterpolationMember()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns:
        the id

    - #### setId

          public void setId(String id)

      Parameters:
        `id` - the id to set

    - #### getSequenceId

          public int getSequenceId()

      Returns:
        the sequenceId

    - #### setSequenceId

          public void setSequenceId(int sequenceId)

      Parameters:
        `sequenceId` - the sequenceId to set

    - #### getLocation

          public com.vividsolutions.jts.geom.Point getLocation()

      Returns:
        the location

    - #### setLocation

          public void setLocation(com.vividsolutions.jts.geom.Point location)

      Parameters:
        `location` - the location to set

    - #### getStreetname

          public String getStreetname()

      Returns:
        the streetname

    - #### setStreetname

          public void setStreetname(String streetname)

      Parameters:
        `streetname` - the streetname to set

    - #### getHouseNumber

          public String getHouseNumber()

      Returns:
        the houseNumber

    - #### setHouseNumber

          public void setHouseNumber(String houseNumber)

      Parameters:
        `houseNumber` - the houseNumber to set

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareTo

          public int compareTo(InterpolationMember o)

      Specified by:
        `compareTo` in interface `Comparable<InterpolationMember>`

Copyright © 2015. All rights reserved.